Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Problem updating libretro in setup-script 4.4.1 under Ubuntu MATE 18.04



  • I posted this issue elsewhere and it was suggested that I start a new topic.

    On upgrading my udoo hobby pc (x86 celeron, intel hd graphics 400) from ubuntu MATE 17.10 to 18.04, retropie would crash on starting any emulation. Updating via the setup-script would build successfully, but not fix the problem (switching to sdl from gl in the retroarch.cfg would allow the emulation to run)

    The linked topic discussed this as a problem with libretro which appears to have been fixed in an update. However I am now unable to build the latest libretro via the setup-script, either individually, or as a full update, as below:

    @sabrecheeky said in LibRetro not yet ready for Ubuntu 18.04:

    I tried upgrading again after reading this, but still no joy. I get a fatal error trying to build libretro from Retropie-Setup.

    The offending lines of the log are as follows:

    In file included from ./libretro-common/include/glsym/rglgen.h:32:0,
    from ./libretro-common/include/glsym/glsym.h:26,
    from gfx/drivers_context/../common/gl_common.h:37,
    from gfx/drivers_context/x_ctx.c:44:
    ./libretro-common/include/glsym/rglgen_headers.h:27:10: fatal error: EGL/egl.h: No such file or directory
    #include <EGL/egl.h>
    ^~~~~~~~~~~
    compilation terminated.
    Makefile:191: recipe for target 'obj-unix/release/gfx/drivers_context/x_ctx.o' failed
    make: *** [obj-unix/release/gfx/drivers_context/x_ctx.o] Error 1
    make: *** Waiting for unfinished jobs....
    input/drivers_joypad/udev_joypad.c:533:12: warning: ‘sort_devnodes’ defined but not used [-Wunused-function]
    static int sort_devnodes(const void *a, const void *b)
    ^~~~~~~~~~~~~
    ~
    Could not successfully build retroarch - RetroArch - frontend to the libretro emulator cores - required by all lr-
    emulators (/home/scot/RetroPie-Setup/tmp/build/retroarch/retroarch not found).

    Log ended at: Fri 18 May 15:43:48 BST 2018
    Total running time: 0 hours, 1 mins, 54 secs
    *

    Any Ideas?!? I am running Ubuntu mate 18.04 on a udoo x86 hobby board. (everything ran fine under 17.10)

    Any help would be greatly appreciated!


  • Global Moderator

    The build fails because of a missing header file

    ./libretro-common/include/glsym/rglgen_headers.h:27:10: fatal error: EGL/egl.h: No such file or directory
    

    Normally this should be part of the package libegl1-mesa-dev - you can manually install it before attempting the installation with:

    sudo apt-get -y install libegl1-mesa-dev
    


Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.